The OctoPrint server is currently not running Can't Connect

What is the problem?

When I go the .local for my octoprint install I get a "The OctoPrint server is currently not running" screen. I seem to be able to SSH in just fine. This morning's

What did you already try to solve it?

I seem to be able to SSH in just fine. This morning's octoprint.log is empty.

Have you tried running in safe mode?

I'm not sure how to start in safemode via SSH

Systeminfo Bundle

You can download this in OctoPrint's System Information dialog ... no bundle, no support!)

I'm not sure how to get this info through SSH

Additional information about your setup

OctoPrint version : 1.7.3
OctoPi version : 0.18.0

The linked guide will tell you how. Make sure you are looking for the zip file not the list of points.

If you can access through SSH, then try running OctoPrint manually with ~/oprint/bin/octoprint serve and see if it results in an error.

This is the error I received when using the ~/oprint/bin/octoprint serve command

2022-04-29 20:46:54,325 - octoprint.settings - ERROR - Error while saving config.yaml!
Traceback (most recent call last):
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/init.py", line 1015, in atomic_write
yield fd
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/settings.py", line 1696, in save
allow_unicode=True,
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/init.py", line 306, in safe_dump
return dump_all([data], stream, Dumper=SafeDumper, **kwds)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/init.py", line 278, in dump_all
dumper.represent(data)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/representer.py", line 28, in represent
self.serialize(node)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/serializer.py", line 55, in serialize
self.emit(DocumentEndEvent(explicit=self.use_explicit_end))
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 115, in emit
self.state()
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 220, in expect_document_end
self.flush_stream()
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 790, in flush_stream
self.stream.flush()
OSError: [Errno 28] No space left on device

During handling of the above exception, another exception occurred:

OSError: [Errno 28] No space left on device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/settings.py", line 1698, in save
self._dirty = False
File "/usr/lib/python3.7/contextlib.py", line 130, in exit
self.gen.throw(type, value, traceback)
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/init.py", line 1017, in atomic_write
fd.close()
OSError: [Errno 28] No space left on device
2022-04-29 20:46:54,333 - octoprint.startup - CRITICAL - Could not initialize settings manager: [Errno 28] No space left on device
2022-04-29 20:46:54,334 - octoprint.startup - CRITICAL - There was a fatal error starting up OctoPrint.
Could not initialize settings manager: [Errno 28] No space left on device
There was a fatal error starting up OctoPrint.

I'll add the system info in a few minutes.

Well, if you read the logs, it gives you the explanation:

You are out of storage space.

I don't understand how that could be considering it was working yesterday and nothing added to it? I compressed it using a 4GB card and put the instance on an 8GB I think. Is there a preferred card size or limit?

Run df -h and paste the output for the disk usage

Did you power it off?

Filesystem Size Used Avail Use% Mounted on
/dev/root 3.4G 3.3G 0 100% /
devtmpfs 404M 0 404M 0% /dev
tmpfs 436M 0 436M 0% /dev/shm
tmpfs 436M 45M 392M 11% /run
tmpfs 5.0M 4.0K 5.0M 1% /run/lock
tmpfs 436M 0 436M 0% /sys/fs/cgroup
/dev/mmcblk0p1 253M 49M 204M 20% /boot
tmpfs 88M 0 88M 0% /run/user/1000

I have powered it off a few times trying to get it to reconnect.

There you go, 100% used out of 3.4 GB size. If you now have it on an 8GB card after using a 4GB card, you will need to expand the filesystem to use the 8GB.

sudo raspi-config then select advanced options, and expand filesystem.

The Raspberry Pi foundation recommends a minimum of 8GB.

2 Likes

Hmmm... That might be the step the missed way back when, lol.

Appreciate your help, man!!

That fixed it! Thanks again.

Have you tried

Putty
sudo apt-get update
sudo apt-get upgrade (This may take a bit of time)

Then reflash the card in the Raspberry Pi
Remember the add your Router values inside
octopi-wpa-supplicant.txt

it should be something like this inside octopi-wpa-supplicant.txt :-

WPA/WPA2 secured

network={
ssid="Router"
psk="password"
}

Opps I seen you fixed it, expanding memory

Good morning! I filled the card with gcode and now I have the same error, is there a way to clear the gcodes so that octoprint will boot?

You can SSH to the Pi and delete the files, they are stored in ~/.octoprint/uploads by default.

2 Likes

Hello! Thanks for the reply. It helped me too much. A hug! :slight_smile: